API ReferenceGeneratedYour data
Create a new record
Create a new record
Authorization
bearerAuth AuthorizationBearer <token>
Authorization for API
In: header
Path Parameters
appUid*string
Your app's unique id. Find it in the console under the app's Settings, or in the URL of any app page.
Format
uuidHeader Parameters
Idempotency-Key?string
Optional. Send a unique key (e.g. a UUID) to make this write retry-safe: the operation runs once and retries with the same key return the cached response (24h) instead of creating a duplicate. Reusing a key with a different body returns 409.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/497f6eca-6276-4993-bfeb-53cbbbba6f08/autocrud/purchase_orders" \ -H "Content-Type: application/json" \ -d '{ "amount": 0.1, "description": "string", "po_number": "string", "vendor_uid": "ab17e0fd-2f0c-434d-874a-13b486c01ac9" }'{ "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5", "amount": 0.1, "created_at": "2019-08-24T14:15:22Z", "currency": "string", "deleted_at": "2019-08-24T14:15:22Z", "description": "string", "issued_at": "2019-08-24T14:15:22Z", "po_number": "string", "status": "string", "updated_at": "2019-08-24T14:15:22Z", "vendor_uid": "ab17e0fd-2f0c-434d-874a-13b486c01ac9"}